Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.112.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
6.112.0.0
Broadcast address
6.127.255.255
First usable
6.112.0.1
Last usable
6.127.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 06700000 · Integer 108003328 to 109051903
Reverse DNS zones
112.6.in-addr.arpa
113.6.in-addr.arpa
114.6.in-addr.arpa
115.6.in-addr.arpa
116.6.in-addr.arpa
117.6.in-addr.arpa
118.6.in-addr.arpa
119.6.in-addr.arpa
120.6.in-addr.arpa
121.6.in-addr.arpa
122.6.in-addr.arpa
123.6.in-addr.arpa
124.6.in-addr.arpa
125.6.in-addr.arpa
126.6.in-addr.arpa
127.6.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.01110000.00000000.000000006.112.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00000110.01110000.00000000.000000006.112.0.0
Broadcast00000110.01111111.11111111.111111116.127.255.255
Split into smaller subnets/19

6.112.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.112.0.0/196.112.0.1 to 6.112.31.2546.112.31.2558,190
26.112.32.0/196.112.32.1 to 6.112.63.2546.112.63.2558,190
36.112.64.0/196.112.64.1 to 6.112.95.2546.112.95.2558,190
46.112.96.0/196.112.96.1 to 6.112.127.2546.112.127.2558,190
56.112.128.0/196.112.128.1 to 6.112.159.2546.112.159.2558,190
66.112.160.0/196.112.160.1 to 6.112.191.2546.112.191.2558,190
76.112.192.0/196.112.192.1 to 6.112.223.2546.112.223.2558,190
86.112.224.0/196.112.224.1 to 6.112.255.2546.112.255.2558,190
96.113.0.0/196.113.0.1 to 6.113.31.2546.113.31.2558,190
106.113.32.0/196.113.32.1 to 6.113.63.2546.113.63.2558,190
116.113.64.0/196.113.64.1 to 6.113.95.2546.113.95.2558,190
126.113.96.0/196.113.96.1 to 6.113.127.2546.113.127.2558,190
136.113.128.0/196.113.128.1 to 6.113.159.2546.113.159.2558,190
146.113.160.0/196.113.160.1 to 6.113.191.2546.113.191.2558,190
156.113.192.0/196.113.192.1 to 6.113.223.2546.113.223.2558,190
166.113.224.0/196.113.224.1 to 6.113.255.2546.113.255.2558,190
176.114.0.0/196.114.0.1 to 6.114.31.2546.114.31.2558,190
186.114.32.0/196.114.32.1 to 6.114.63.2546.114.63.2558,190
196.114.64.0/196.114.64.1 to 6.114.95.2546.114.95.2558,190
206.114.96.0/196.114.96.1 to 6.114.127.2546.114.127.2558,190
216.114.128.0/196.114.128.1 to 6.114.159.2546.114.159.2558,190
226.114.160.0/196.114.160.1 to 6.114.191.2546.114.191.2558,190
236.114.192.0/196.114.192.1 to 6.114.223.2546.114.223.2558,190
246.114.224.0/196.114.224.1 to 6.114.255.2546.114.255.2558,190
256.115.0.0/196.115.0.1 to 6.115.31.2546.115.31.2558,190
266.115.32.0/196.115.32.1 to 6.115.63.2546.115.63.2558,190
276.115.64.0/196.115.64.1 to 6.115.95.2546.115.95.2558,190
286.115.96.0/196.115.96.1 to 6.115.127.2546.115.127.2558,190
296.115.128.0/196.115.128.1 to 6.115.159.2546.115.159.2558,190
306.115.160.0/196.115.160.1 to 6.115.191.2546.115.191.2558,190
316.115.192.0/196.115.192.1 to 6.115.223.2546.115.223.2558,190
326.115.224.0/196.115.224.1 to 6.115.255.2546.115.255.2558,190
336.116.0.0/196.116.0.1 to 6.116.31.2546.116.31.2558,190
346.116.32.0/196.116.32.1 to 6.116.63.2546.116.63.2558,190
356.116.64.0/196.116.64.1 to 6.116.95.2546.116.95.2558,190
366.116.96.0/196.116.96.1 to 6.116.127.2546.116.127.2558,190
376.116.128.0/196.116.128.1 to 6.116.159.2546.116.159.2558,190
386.116.160.0/196.116.160.1 to 6.116.191.2546.116.191.2558,190
396.116.192.0/196.116.192.1 to 6.116.223.2546.116.223.2558,190
406.116.224.0/196.116.224.1 to 6.116.255.2546.116.255.2558,190
416.117.0.0/196.117.0.1 to 6.117.31.2546.117.31.2558,190
426.117.32.0/196.117.32.1 to 6.117.63.2546.117.63.2558,190
436.117.64.0/196.117.64.1 to 6.117.95.2546.117.95.2558,190
446.117.96.0/196.117.96.1 to 6.117.127.2546.117.127.2558,190
456.117.128.0/196.117.128.1 to 6.117.159.2546.117.159.2558,190
466.117.160.0/196.117.160.1 to 6.117.191.2546.117.191.2558,190
476.117.192.0/196.117.192.1 to 6.117.223.2546.117.223.2558,190
486.117.224.0/196.117.224.1 to 6.117.255.2546.117.255.2558,190
496.118.0.0/196.118.0.1 to 6.118.31.2546.118.31.2558,190
506.118.32.0/196.118.32.1 to 6.118.63.2546.118.63.2558,190
516.118.64.0/196.118.64.1 to 6.118.95.2546.118.95.2558,190
526.118.96.0/196.118.96.1 to 6.118.127.2546.118.127.2558,190
536.118.128.0/196.118.128.1 to 6.118.159.2546.118.159.2558,190
546.118.160.0/196.118.160.1 to 6.118.191.2546.118.191.2558,190
556.118.192.0/196.118.192.1 to 6.118.223.2546.118.223.2558,190
566.118.224.0/196.118.224.1 to 6.118.255.2546.118.255.2558,190
576.119.0.0/196.119.0.1 to 6.119.31.2546.119.31.2558,190
586.119.32.0/196.119.32.1 to 6.119.63.2546.119.63.2558,190
596.119.64.0/196.119.64.1 to 6.119.95.2546.119.95.2558,190
606.119.96.0/196.119.96.1 to 6.119.127.2546.119.127.2558,190
616.119.128.0/196.119.128.1 to 6.119.159.2546.119.159.2558,190
626.119.160.0/196.119.160.1 to 6.119.191.2546.119.191.2558,190
636.119.192.0/196.119.192.1 to 6.119.223.2546.119.223.2558,190
646.119.224.0/196.119.224.1 to 6.119.255.2546.119.255.2558,190
656.120.0.0/196.120.0.1 to 6.120.31.2546.120.31.2558,190
666.120.32.0/196.120.32.1 to 6.120.63.2546.120.63.2558,190
676.120.64.0/196.120.64.1 to 6.120.95.2546.120.95.2558,190
686.120.96.0/196.120.96.1 to 6.120.127.2546.120.127.2558,190
696.120.128.0/196.120.128.1 to 6.120.159.2546.120.159.2558,190
706.120.160.0/196.120.160.1 to 6.120.191.2546.120.191.2558,190
716.120.192.0/196.120.192.1 to 6.120.223.2546.120.223.2558,190
726.120.224.0/196.120.224.1 to 6.120.255.2546.120.255.2558,190
736.121.0.0/196.121.0.1 to 6.121.31.2546.121.31.2558,190
746.121.32.0/196.121.32.1 to 6.121.63.2546.121.63.2558,190
756.121.64.0/196.121.64.1 to 6.121.95.2546.121.95.2558,190
766.121.96.0/196.121.96.1 to 6.121.127.2546.121.127.2558,190
776.121.128.0/196.121.128.1 to 6.121.159.2546.121.159.2558,190
786.121.160.0/196.121.160.1 to 6.121.191.2546.121.191.2558,190
796.121.192.0/196.121.192.1 to 6.121.223.2546.121.223.2558,190
806.121.224.0/196.121.224.1 to 6.121.255.2546.121.255.2558,190
816.122.0.0/196.122.0.1 to 6.122.31.2546.122.31.2558,190
826.122.32.0/196.122.32.1 to 6.122.63.2546.122.63.2558,190
836.122.64.0/196.122.64.1 to 6.122.95.2546.122.95.2558,190
846.122.96.0/196.122.96.1 to 6.122.127.2546.122.127.2558,190
856.122.128.0/196.122.128.1 to 6.122.159.2546.122.159.2558,190
866.122.160.0/196.122.160.1 to 6.122.191.2546.122.191.2558,190
876.122.192.0/196.122.192.1 to 6.122.223.2546.122.223.2558,190
886.122.224.0/196.122.224.1 to 6.122.255.2546.122.255.2558,190
896.123.0.0/196.123.0.1 to 6.123.31.2546.123.31.2558,190
906.123.32.0/196.123.32.1 to 6.123.63.2546.123.63.2558,190
916.123.64.0/196.123.64.1 to 6.123.95.2546.123.95.2558,190
926.123.96.0/196.123.96.1 to 6.123.127.2546.123.127.2558,190
936.123.128.0/196.123.128.1 to 6.123.159.2546.123.159.2558,190
946.123.160.0/196.123.160.1 to 6.123.191.2546.123.191.2558,190
956.123.192.0/196.123.192.1 to 6.123.223.2546.123.223.2558,190
966.123.224.0/196.123.224.1 to 6.123.255.2546.123.255.2558,190
976.124.0.0/196.124.0.1 to 6.124.31.2546.124.31.2558,190
986.124.32.0/196.124.32.1 to 6.124.63.2546.124.63.2558,190
996.124.64.0/196.124.64.1 to 6.124.95.2546.124.95.2558,190
1006.124.96.0/196.124.96.1 to 6.124.127.2546.124.127.2558,190
1016.124.128.0/196.124.128.1 to 6.124.159.2546.124.159.2558,190
1026.124.160.0/196.124.160.1 to 6.124.191.2546.124.191.2558,190
1036.124.192.0/196.124.192.1 to 6.124.223.2546.124.223.2558,190
1046.124.224.0/196.124.224.1 to 6.124.255.2546.124.255.2558,190
1056.125.0.0/196.125.0.1 to 6.125.31.2546.125.31.2558,190
1066.125.32.0/196.125.32.1 to 6.125.63.2546.125.63.2558,190
1076.125.64.0/196.125.64.1 to 6.125.95.2546.125.95.2558,190
1086.125.96.0/196.125.96.1 to 6.125.127.2546.125.127.2558,190
1096.125.128.0/196.125.128.1 to 6.125.159.2546.125.159.2558,190
1106.125.160.0/196.125.160.1 to 6.125.191.2546.125.191.2558,190
1116.125.192.0/196.125.192.1 to 6.125.223.2546.125.223.2558,190
1126.125.224.0/196.125.224.1 to 6.125.255.2546.125.255.2558,190
1136.126.0.0/196.126.0.1 to 6.126.31.2546.126.31.2558,190
1146.126.32.0/196.126.32.1 to 6.126.63.2546.126.63.2558,190
1156.126.64.0/196.126.64.1 to 6.126.95.2546.126.95.2558,190
1166.126.96.0/196.126.96.1 to 6.126.127.2546.126.127.2558,190
1176.126.128.0/196.126.128.1 to 6.126.159.2546.126.159.2558,190
1186.126.160.0/196.126.160.1 to 6.126.191.2546.126.191.2558,190
1196.126.192.0/196.126.192.1 to 6.126.223.2546.126.223.2558,190
1206.126.224.0/196.126.224.1 to 6.126.255.2546.126.255.2558,190
1216.127.0.0/196.127.0.1 to 6.127.31.2546.127.31.2558,190
1226.127.32.0/196.127.32.1 to 6.127.63.2546.127.63.2558,190
1236.127.64.0/196.127.64.1 to 6.127.95.2546.127.95.2558,190
1246.127.96.0/196.127.96.1 to 6.127.127.2546.127.127.2558,190
1256.127.128.0/196.127.128.1 to 6.127.159.2546.127.159.2558,190
1266.127.160.0/196.127.160.1 to 6.127.191.2546.127.191.2558,190
1276.127.192.0/196.127.192.1 to 6.127.223.2546.127.223.2558,190
1286.127.224.0/196.127.224.1 to 6.127.255.2546.127.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses